GET /v1/products

stripe.com

Summary:
Operation ID: GetProducts
Auth: unknown
Description

<p>Returns a list of your products. The products are returned sorted by creation date, with the most recently created products appearing first.</p>

Parameters (9)

active (boolean, query, optional)

Only return products that are active or inactive (e.g., pass `false` to list all inactive products).

created (?, query, optional)

Only return products that were created during the given date interval.

ending_before (string, query, optional)

A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

Constraints: {'maxLength': 5000}

expand (array, query, optional)

Specifies which fields in the response should be expanded.

ids (array, query, optional)

Only return products with the given IDs. Cannot be used with [starting_after](https://stripe.com/docs/api#list_products-starting_after) or [ending_before](https://stripe.com/docs/api#list_products-ending_before).

limit (integer, query, optional)

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

shippable (boolean, query, optional)

Only return products that can be shipped (i.e., physical, not digital products).

starting_after (string, query, optional)

A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

Constraints: {'maxLength': 5000}

url (string, query, optional)

Only return products with the given url.

Constraints: {'maxLength': 5000}

No probe data for this endpoint yet.